Bug 967811 - mediawiki 1.19-6.1 should obsolete mediawiki-ParserFunctions package
mediawiki 1.19-6.1 should obsolete mediawiki-ParserFunctions package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mediawiki (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Michael Cronenworth
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 07:24 EDT by Joel Uckelman
Modified: 2013-08-19 02:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: mediawiki-1.19.7-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-19 02:59:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel Uckelman 2013-05-28 07:24:31 EDT
Description of problem:

[root@one uckelman]# rpm -qa | grep mediawiki
mediawiki-ParserFunctions-1.1.1-9.svn45003.fc18.noarch
mediawiki-1.19.4-2.fc18.noarch
[root@one uckelman]# yum update mediawiki
Loaded plugins: changelog, etckeeper, fastestmirror, presto, refresh-packagekit,
              : verify
Loading mirror speeds from cached hostfile
 * fedora: mirrors.solfo.com
 * updates: mirrors.solfo.com
Resolving Dependencies
--> Running transaction check
---> Package mediawiki.noarch 0:1.19.4-2.fc18 will be updated
---> Package mediawiki.noarch 0:1.19.6-1.fc18 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package           Arch           Version                 Repository       Size
================================================================================
Updating:
 mediawiki         noarch         1.19.6-1.fc18           updates          14 M

Transaction Summary
================================================================================
Upgrade  1 Package

Total size: 14 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/share/mediawiki/extensions/ParserFunctions/Expr.php from install of mediawiki-1.19.6-1.fc18.noarch conflicts with file from package mediawiki-ParserFunctions-1.1.1-9.svn45003.fc18.noarch
  file /usr/share/mediawiki/extensions/ParserFunctions/ParserFunctions.i18n.magic.php from install of mediawiki-1.19.6-1.fc18.noarch conflicts with file from package mediawiki-ParserFunctions-1.1.1-9.svn45003.fc18.noarch
  file /usr/share/mediawiki/extensions/ParserFunctions/ParserFunctions.i18n.php from install of mediawiki-1.19.6-1.fc18.noarch conflicts with file from package mediawiki-ParserFunctions-1.1.1-9.svn45003.fc18.noarch
  file /usr/share/mediawiki/extensions/ParserFunctions/ParserFunctions.php from install of mediawiki-1.19.6-1.fc18.noarch conflicts with file from package mediawiki-ParserFunctions-1.1.1-9.svn45003.fc18.noarch



It appears that the contents of mediawiki-ParserFunctions were rolled into mediawiki sometime after 1.19.4-2. If that's the case, then the current mediawiki package should obsolete (and therefore uninstall) mediawiki-ParserFunctions, right?

Version-Release number of selected component (if applicable):

mediawiki-1.19.6-1.fc18.noarch
Comment 1 Joel Uckelman 2013-05-28 07:28:31 EDT
I can confirm that mediawiki-1.19.6-1.fc18.noarch installs all of the files from the ParserFunctions extension, so long as you uninstall mediawiki-ParserFunctions first.
Comment 2 Michael Cronenworth 2013-05-28 09:17:36 EDT
The 1.19.4 version also contains the same files. You must have forced the package installation of either the extension or mediawiki in the past. I will inform the extension package owner and add an Obsoletes/Provides.
Comment 3 Joel Uckelman 2013-05-28 10:08:22 EDT
It's possible that I forced installation of one or the other at some point in the past to work around the problem, but I don't remember at this point.
Comment 4 Michael Cronenworth 2013-07-09 19:46:57 EDT
*** Bug 980998 has been marked as a duplicate of this bug. ***
Comment 5 Fedora Update System 2013-07-09 23:08:56 EDT
mediawiki-1.21.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mediawiki-1.21.1-2.fc19
Comment 6 Fedora Update System 2013-07-09 23:09:34 EDT
mediawiki-1.19.7-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mediawiki-1.19.7-2.fc18
Comment 7 Michael Schwendt 2013-07-10 10:29:47 EDT
> Obsoletes 	


http://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages

For $obsEVR on that page you've chosen values, which are not high enough:


> mediawiki-Cite < 0-0.10.20080901svn

Latest build of that package is 0-0.10.20080901svn.fc19, which is "higher" because of the .fc19 tag:

$ rpmdev-vercmp 0-0.10.20080901svn 0-0.10.20080901svn.fc19
0-0.10.20080901svn < 0-0.10.20080901svn.fc19


> mediawiki-ParserFunctions < 1.1.1-10.svn45003

Latest build of that package is 1.1.1-10.svn45003.fc19, which is "higher" because of the .fc19 tag.


> mediawiki-imagemap < 0-0.7.r37906

Latest build of that package is 0-0.7.r37906.fc19, which is "higher" because of the .fc19 tag.
Comment 8 Fedora Update System 2013-07-10 22:32:43 EDT
Package mediawiki-1.21.1-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mediawiki-1.21.1-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12738/mediawiki-1.21.1-2.fc19
then log in and leave karma (feedback).
Comment 9 Michael Schwendt 2013-07-11 05:54:30 EDT
> Obsoletes
> mediawiki-Cite < 0-0.10.20080901svn.1
> mediawiki-ParserFunctions < 1.1.1-10.svn45003.1
> mediawiki-imagemap < 0-0.7.r37906.1

As a hint for next time, there's an even easier (and safer!) way to choose the $obsEVR value. Simple give it the value the next (fictitious) build would have been given. That is, bump the Release tag as normal in its most-significant field, which also gives opportunity to drop the irrelevant snapshot/scm tag:

  mediawiki-Cite < 0-0.11
  mediawiki-ParserFunctions < 1.1.1-11
  mediawiki-imagemap < 0-0.8
Comment 10 Fedora Update System 2013-07-20 05:35:36 EDT
mediawiki-1.21.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-07-20 05:51:54 EDT
mediawiki-1.19.7-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Michael Schwendt 2013-08-18 04:34:48 EDT
https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

=> mediawiki-Cite-0-0.11.20080901svn.fc20.src.rpm
=> mediawiki-Cite-0-0.11.20080901svn.fc20.noarch in fedora-development-i386
  File conflict with: mediawiki-1.21.1-6.fc20.noarch
     /usr/share/mediawiki/extensions/Cite/Cite.i18n.php
     /usr/share/mediawiki/extensions/Cite/Cite.php
     /usr/share/mediawiki/extensions/Cite/Cite_body.php
     /usr/share/mediawiki/extensions/Cite/SpecialCite.i18n.php
     /usr/share/mediawiki/extensions/Cite/SpecialCite.php
     /usr/share/mediawiki/extensions/Cite/SpecialCite_body.php
     /usr/share/mediawiki/extensions/Cite/citeParserTests.txt
Comment 13 Michael Cronenworth 2013-08-18 20:28:50 EDT
Michael,

I'm not the owner of the -Cite package if you bothered to look at the ACLs. I've informed the owner but he is unresponsive to retiring his package. Feel free to open a bug against -Cite or bring up a NRM.

I'm not sure why you keep installing -Cite either. Remove it from your system.
Comment 14 Michael Schwendt 2013-08-19 02:59:54 EDT
bug 980998 should not have been closed as a duplicate then, if steps are missing.

Note You need to log in before you can comment on or make changes to this bug.